CVE-2014-0179

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2014-0179 at MITRE

Description

libvirt 0.7.5 through 1.2.x before 1.2.5 allows local users to cause a denial of service (read block and hang) via a crafted XML document containing an XML external entity declaration in conjunction with an entity reference to the (1) virConnectCompareCPU or (2) virConnectBaselineCPU API method, related to an XML External Entity (XXE) issue. NOTE: this issue was SPLIT per ADT3 due to different affected versions of some vectors. CVE-2014-5177 is used for other API methods.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.85
Vector AV:L/AC:M/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entry: 873705 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Patchnames:
sledsp3-libvirt
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-lock-sanlock >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Patchnames:
slessp3-libvirt
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libvirt-devel >= 1.0.5.9-0.9.1
  • libvirt-devel-32bit >= 1.0.5.9-0.9.1
Patchnames:
sdksp3-libvirt
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libvirt-devel >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libvirt-devel >= 1.0.5.9-0.9.1
  • libvirt-devel-32bit >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Desktop 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Desktop 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-lock-sanlock >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
SUSE Linux Enterprise Server 11 SP3
  • libvirt >= 1.0.5.9-0.9.1
  • libvirt-client >= 1.0.5.9-0.9.1
  • libvirt-client-32bit >= 1.0.5.9-0.9.1
  • libvirt-doc >= 1.0.5.9-0.9.1
  • libvirt-lock-sanlock >= 1.0.5.9-0.9.1
  • libvirt-python >= 1.0.5.9-0.9.1
Builds
SAT Patch Nr: 9203
openSUSE 12.3
  • libvirt >= 1.0.2-1.18.1
  • libvirt-client >= 1.0.2-1.18.1
  • libvirt-client-32bit >= 1.0.2-1.18.1
  • libvirt-client-debuginfo >= 1.0.2-1.18.1
  • libvirt-client-debuginfo-32bit >= 1.0.2-1.18.1
  • libvirt-debuginfo >= 1.0.2-1.18.1
  • libvirt-debugsource >= 1.0.2-1.18.1
  • libvirt-devel >= 1.0.2-1.18.1
  • libvirt-devel-32bit >= 1.0.2-1.18.1
  • libvirt-doc >= 1.0.2-1.18.1
  • libvirt-lock-sanlock >= 1.0.2-1.18.1
  • libvirt-lock-sanlock-debuginfo >= 1.0.2-1.18.1
  • libvirt-python >= 1.0.2-1.18.1
  • libvirt-python-debuginfo >= 1.0.2-1.18.1
Patchnames:
openSUSE-2014-369
openSUSE 13.1
  • libvirt >= 1.1.2-2.32.1
  • libvirt-client >= 1.1.2-2.32.1
  • libvirt-client-32bit >= 1.1.2-2.32.1
  • libvirt-client-debuginfo >= 1.1.2-2.32.1
  • libvirt-client-debuginfo-32bit >= 1.1.2-2.32.1
  • libvirt-daemon >= 1.1.2-2.32.1
  • libvirt-daemon-config-network >= 1.1.2-2.32.1
  • libvirt-daemon-config-nwfilter >= 1.1.2-2.32.1
  • libvirt-daemon-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-interface >= 1.1.2-2.32.1
  • libvirt-daemon-driver-interface-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-libxl >= 1.1.2-2.32.1
  • libvirt-daemon-driver-libxl-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-lxc >= 1.1.2-2.32.1
  • libvirt-daemon-driver-lxc-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-network >= 1.1.2-2.32.1
  • libvirt-daemon-driver-network-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-nodedev >= 1.1.2-2.32.1
  • libvirt-daemon-driver-nodedev-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-nwfilter >= 1.1.2-2.32.1
  • libvirt-daemon-driver-nwfilter-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-qemu >= 1.1.2-2.32.1
  • libvirt-daemon-driver-qemu-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-secret >= 1.1.2-2.32.1
  • libvirt-daemon-driver-secret-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-storage >= 1.1.2-2.32.1
  • libvirt-daemon-driver-storage-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-uml >= 1.1.2-2.32.1
  • libvirt-daemon-driver-uml-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-vbox >= 1.1.2-2.32.1
  • libvirt-daemon-driver-vbox-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-driver-xen >= 1.1.2-2.32.1
  • libvirt-daemon-driver-xen-debuginfo >= 1.1.2-2.32.1
  • libvirt-daemon-lxc >= 1.1.2-2.32.1
  • libvirt-daemon-qemu >= 1.1.2-2.32.1
  • libvirt-daemon-uml >= 1.1.2-2.32.1
  • libvirt-daemon-vbox >= 1.1.2-2.32.1
  • libvirt-daemon-xen >= 1.1.2-2.32.1
  • libvirt-debugsource >= 1.1.2-2.32.1
  • libvirt-devel >= 1.1.2-2.32.1
  • libvirt-devel-32bit >= 1.1.2-2.32.1
  • libvirt-doc >= 1.1.2-2.32.1
  • libvirt-lock-sanlock >= 1.1.2-2.32.1
  • libvirt-lock-sanlock-debuginfo >= 1.1.2-2.32.1
  • libvirt-login-shell >= 1.1.2-2.32.1
  • libvirt-login-shell-debuginfo >= 1.1.2-2.32.1
  • libvirt-python >= 1.1.2-2.32.1
  • libvirt-python-debuginfo >= 1.1.2-2.32.1
Patchnames:
openSUSE-2014-372